curl "https://api.vouchmark.com/v1/compliance/obligations/upcoming?companyId=cmp_aBcD...&limit=5" \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"data": [
{
"id": "obl_aBcD...",
"companyId": "cmp_aBcD...",
"category": "vat",
"title": "VAT filing",
"description": "Monthly VAT return filed with FIRS by the 21st.",
"frequency": "monthly",
"nextDueDate": "2026-07-21",
"lastCompletedAt": null,
"isSeeded": true,
"isActive": true,
"notifyLeadDays": [30, 7, 1],
"daysUntilDue": 24,
"createdAt": "2026-06-01T09:00:00Z",
"updatedAt": "2026-06-01T09:00:00Z"
}
]
}
Compliance
Upcoming obligations
Get the next obligations coming due for a company.
GET
/
v1
/
compliance
/
obligations
/
upcoming
curl "https://api.vouchmark.com/v1/compliance/obligations/upcoming?companyId=cmp_aBcD...&limit=5" \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"data": [
{
"id": "obl_aBcD...",
"companyId": "cmp_aBcD...",
"category": "vat",
"title": "VAT filing",
"description": "Monthly VAT return filed with FIRS by the 21st.",
"frequency": "monthly",
"nextDueDate": "2026-07-21",
"lastCompletedAt": null,
"isSeeded": true,
"isActive": true,
"notifyLeadDays": [30, 7, 1],
"daysUntilDue": 24,
"createdAt": "2026-06-01T09:00:00Z",
"updatedAt": "2026-06-01T09:00:00Z"
}
]
}
Returns the soonest-due obligations for a company, ordered by due date. Useful for building reminders or a “what’s next” widget.
Each item is a full obligation object.
Query parameters
string
required
The company to list upcoming obligations for.
integer
default:"3"
How many obligations to return. Integer between
1 and 50.curl "https://api.vouchmark.com/v1/compliance/obligations/upcoming?companyId=cmp_aBcD...&limit=5" \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"data": [
{
"id": "obl_aBcD...",
"companyId": "cmp_aBcD...",
"category": "vat",
"title": "VAT filing",
"description": "Monthly VAT return filed with FIRS by the 21st.",
"frequency": "monthly",
"nextDueDate": "2026-07-21",
"lastCompletedAt": null,
"isSeeded": true,
"isActive": true,
"notifyLeadDays": [30, 7, 1],
"daysUntilDue": 24,
"createdAt": "2026-06-01T09:00:00Z",
"updatedAt": "2026-06-01T09:00:00Z"
}
]
}
